/*
 # Be name Khoda!
 # Example code for L298N Motor Driver Module to driving dc
 # Company    : AftabRayaneh
 # Website    : http://shop.aftabrayaneh.com
 # Editor     : Elham Rasekh
 # Date       : 09.09.2013
 # Version    : 1.0
 
 # Connect the pins as follow:
 in1 -> Pin analog 0
 in2 -> Pin analog 1
 enA -> Pin pwm 5 
*/

//motor pins
int motor1A=A0;
int motor1B=A1;
int en1=5;

int motorSpeed = 250;

void setup(){
  pinMode(motor1A, OUTPUT);   
  pinMode(motor1B, OUTPUT);  
  pinMode(en1, OUTPUT);   
}

void loop()
{
   Go();
   delay(5000);
   Stop();
   delay(5000);
}

void Stop()
{   //to stopping the motor:
    //set both of pins A AND B to the same value (HIGH or LOW)
    // or set en to 0 -> analogWrite(en1,0);
    digitalWrite(motor1A,LOW);
    digitalWrite(motor1B,LOW);    
}

void Go()
{
    digitalWrite(motor1A,HIGH);
    digitalWrite(motor1B,LOW);
    analogWrite(en1,motorSpeed); 
}
