/*
 # Be name Khoda!
 # Example code for L298N Motor Driver Module to driving stepper
 # Company    : AftabRayaneh
 # Website    : http://shop.aftabrayaneh.com
 # Editor     : Reza Najafi
 # Date       : 09.09.2013
 # Version    : 1.0
*/

int ENA=2;//connected to Arduino's port 2
int IN1=3;//connected to Arduino's port 3
int IN2=4;//connected to Arduino's port 4
int ENB=5;//connected to Arduino's port 5
int IN3=6;//connected to Arduino's port 6
int IN4=7;//connected to Arduino's port 7
 
int _step = 0; 
boolean dir = false; //gre
void setup()
{
 pinMode(ENA,OUTPUT);
 pinMode(ENB,OUTPUT);
 pinMode(IN1,OUTPUT);
 pinMode(IN2,OUTPUT);
 pinMode(IN3,OUTPUT);
 pinMode(IN4,OUTPUT);
 digitalWrite(ENA,HIGH);//enable motorA
 digitalWrite(ENB,HIGH);//enable motorB
}

void loop() 
{ 
  switch(_step){ 
  case 0: 
    digitalWrite(IN1, LOW);  
    digitalWrite(IN2, LOW); 
    digitalWrite(IN3, LOW); 
    digitalWrite(IN4, HIGH); 
    break;  
  case 1: 
    digitalWrite(IN1, LOW);  
    digitalWrite(IN2, LOW); 
    digitalWrite(IN3, HIGH); 
    digitalWrite(IN4, HIGH); 
    break;  
  case 2: 
    digitalWrite(IN1, LOW);  
    digitalWrite(IN2, LOW); 
    digitalWrite(IN3, HIGH); 
    digitalWrite(IN4, LOW); 
    break;  
  case 3: 
    digitalWrite(IN1, LOW);  
    digitalWrite(IN2, HIGH); 
    digitalWrite(IN3, HIGH); 
    digitalWrite(IN4, LOW); 
    break;  
  case 4: 
    digitalWrite(IN1, LOW);  
    digitalWrite(IN2, HIGH); 
    digitalWrite(IN3, LOW); 
    digitalWrite(IN4, LOW); 
    break;  
  case 5: 
    digitalWrite(IN1, HIGH);  
    digitalWrite(IN2, HIGH); 
    digitalWrite(IN3, LOW); 
    digitalWrite(IN4, LOW); 
    break;  
  case 6: 
    digitalWrite(IN1, HIGH);  
    digitalWrite(IN2, LOW); 
    digitalWrite(IN3, LOW); 
    digitalWrite(IN4, LOW); 
    break;  
  case 7: 
    digitalWrite(IN1, HIGH);  
    digitalWrite(IN2, LOW); 
    digitalWrite(IN3, LOW); 
    digitalWrite(IN4, HIGH); 
    break;  
  default: 
    digitalWrite(IN1, LOW);  
    digitalWrite(IN2, LOW); 
    digitalWrite(IN3, LOW); 
    digitalWrite(IN4, LOW); 
    break;  
  } 
  if(dir){ 
    _step++; 
  }
  else{ 
    _step--; 
  } 
  if(_step>7){ 
    _step=0; 
  } 
  if(_step<0){ 
    _step=7; 
  } 
  delay(10); 
}

